Package tigase.io

## Class TelnetServer

- java.lang.Object
- - tigase.io.TelnetServer

- All Implemented Interfaces:
    `SampleSocketThread.SocketHandler`

      public class TelnetServer
      extends java.lang.Object
      implements SampleSocketThread.SocketHandler

  This is sample class demonstrating how to use `tigase.io` library for TLS/SSL server connection. This is simple telnet server class which can be run to receive plain connections or SSL connections.
  Created: Sun Aug 6 22:27:13 2006
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TelnetServer​(int port)` | Creates a new `TelnetServer` instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleIOInterface​(IOInterface ioifc)` |
    `void` | `handleSocketAccept​(java.nio.channels.SocketChannel sc)` |
    `static java.lang.String` | `help()` |
    `static void` | `main​(java.lang.String[] args)` |
    `static void` | `parseParams​(java.lang.String[] args)` |
    `void` | `run()` |
    `static void` | `turnDebugOn()` |
    `static java.lang.String` | `version()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TelnetServer

          public TelnetServer​(int port)
                       throws java.io.IOException

      Creates a new `TelnetServer` instance.
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### help

          public static java.lang.String help()

    - #### main

          public static void main​(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### parseParams

          public static void parseParams​(java.lang.String[] args)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### turnDebugOn

          public static void turnDebugOn()

    - #### version

          public static java.lang.String version()

    - #### handleIOInterface

          public void handleIOInterface​(IOInterface ioifc)
                                 throws java.io.IOException

      Specified by:
        `handleIOInterface` in interface `SampleSocketThread.SocketHandler`
      Throws:
        `java.io.IOException`

    - #### handleSocketAccept

          public void handleSocketAccept​(java.nio.channels.SocketChannel sc)
                                  throws java.io.IOException

      Specified by:
        `handleSocketAccept` in interface `SampleSocketThread.SocketHandler`
      Throws:
        `java.io.IOException`

    - #### run

          public void run()
                   throws java.io.IOException

      Throws:
        `java.io.IOException`